| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager Class Reference
Inheritance diagram for optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | GetDeviceTemperature (self)
| Gets temperature of the device connected to this channel.
def | GetDeviceTemperatureThreshold (self)
| Gets temperature threshold of the device connected to this channel.
def | SetDeviceTemperatureThreshold (self, threshold=0)
| Sets temperature threshold of the device connected to this channel.

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| channel
| device_temperature
| device_temp_threshold
| name

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

        Device Functionality - Device Temperature Readout
        System ID: 0x22

        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        | Register Name       | Id   | Type        | Unit | Range | Default | Comment                                  |
        +=====================+======+=============+======+=======+=========+==========================================+
        |device_temperature   | 0x00 |uint 32-bit  |°C    |       |         |                                          |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |device_temp_threshold| 0x01 |uint 32-bit  |°C    |       |         |                                          |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ help()

def optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager.help | ( |  | ) |
| static

## ◆ GetDeviceTemperature()

def optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager.GetDeviceTemperature | ( |  | self | ) |

Gets temperature of the device connected to this channel.

## ◆ GetDeviceTemperatureThreshold()

def optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager.GetDeviceTemperatureThreshold | ( |  | self | ) |

Gets temperature threshold of the device connected to this channel.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again.

## ◆ SetDeviceTemperatureThreshold()

def optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager.SetDeviceTemperatureThreshold | ( |  | self,
|  |  | threshold = `0`
| ) |  |

Sets temperature threshold of the device connected to this channel.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again.

## Member Data Documentation

## ◆ _is_a_system

bool optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager._is_a_system = True
| static protected

## ◆ sys_id

optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager.sys_id

## ◆ channel

optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager.channel

## ◆ device_temperature

optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager.device_temperature

## ◆ device_temp_threshold

optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager.device_temp_threshold

## ◆ name

optoICCSdk.registers.icc_registers.ICCDeviceTemperatureManager.name